Summary:        IPv6 related part of the C socket.h defines and structure manipulators
Name:           perl-Socket6
Version:        0.29
Release:        7%{?dist}
License:        BSD
URL:            https://metacpan.org/release/Socket6
Source0:        https://cpan.metacpan.org/modules/by-module/Socket6/Socket6-%{version}.tar.gz

Patch3000:      Socket6-0.29-remove_support_of_gethostname2.patch

BuildRequires:  gcc make
BuildRequires:  coreutils findutils perl-devel perl-generators perl-interpreter 
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) perl(base) perl(Carp) perl(DynaLoader)
BuildRequires:  perl(Exporter) perl(strict) perl(vars) perl(Socket) perl(Test) 


%description
This module supports getaddrinfo() and getnameinfo() to intend to enable
protocol independent programming. If your environment supports IPv6, IPv6
related defines such as AF_INET6 are included.

%prep
%autosetup -p1 -n Socket6-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
%make_build test

%files
%doc ChangeLog README gailookup.pl
%{perl_vendorarch}/Socket6.pm
%{perl_vendorarch}/auto/Socket6/
%{_mandir}/man3/Socket6.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.29-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Miaojun Dong <zoedong@tencent.com> - 0.29-1
- initial build
